<?php
abstract class smiles{

static function get_ini()
{
static $ini;
if (!isset($ini))$ini=ini::read(H.'/sys/ini/smiles.ini');
return $ini;
}

// обработка смайлов
static function input($str)
{
$smiles = self::get_ini();
$str=preg_replace('#([\.:\*])('.implode('|', array_keys($smiles)).')\1#uim', '[smile="\2"]\2[/smile]', $str);
return $str;
}

static function bbcode($arr)
{
$smiles = self::get_ini();
if (empty($smiles[$arr[4]]))return $arr[0];
return '<img src="/sys/images/smiles/'.$smiles[$arr[4]].'.gif" alt="'.(!empty($arr[5])?$arr[5]:$arr[4]).'" />';
}

}
?>